Bug 172301 - SATA disks detected as /dev/hd* instead of /dev/sd*
SATA disks detected as /dev/hd* instead of /dev/sd*
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Milburn
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 10:15 EST by Tomas Edwardsson
Modified: 2009-10-12 17:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 13:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Edwardsson 2005-11-02 10:15:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have a onboard SATA controller in my HP DL140 G2 machine (RH certified hardware). The SATA disk drives are detected as /dev/hda and /dev/hdb when installed. They show poor performance (3 MBps) and the clock gets all out of sync, and sometimes does not boot at all with APIC IO timer errors.

I have actually found a workaround for this problem, when I installed the system I did it through PXE boot and an NFS install and like that the disks were detected as /dev/hd*. But later I installed a IDE CD-ROM drive and after that the machine did not boot. After investigating more the SATA disk drives had jumped to /dev/sd* after installing the CD-ROM.

I installed the system again with the CD-ROM drive attached and the machine performs as expected now.

SATA Controller from `lspci`:
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)



Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-22.EL

How reproducible:
Always

Steps to Reproduce:
1.Install a DL140 G2 machine or I guess a machine with the Intel Corporation 82801EB (ICH5) SATA Controller.
2.Have no IDE hardware connected.
3.Performance will be quite bad.
  

Additional info:
Comment 1 Tomas Edwardsson 2005-11-02 11:14:59 EST
I did an additional test, removing the CD-ROM and booting. The machine booted
normally after doing that which I find a little weird.

So I decided to see if the problem still existed when installing and
disconnected the CD-ROM and went into a PXE/NFS install and sure enough my 2
SATA drives were detected as /dev/hda and /dev/hdb.

Comment 2 David Milburn 2009-09-03 13:05:58 EDT
I have been able to install RHEL4 U8 to 2 different systems using the 82801EB
ICH5 SATA controller, in both cases ata_piix driver controls the drives
under /dev/sdX so I am closing this BZ out.
Comment 3 Paul Johnson 2009-10-10 15:15:33 EDT
Well, I wonder why it works for David and not for us :)

I have exactly the problem that a sata HD and CDROM are seen as ide and mounted as /dev/hda and /dev/hdb with Redhat 5.4!

this is a Dell Optiplex 760 and dmesg says:

NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: fe500000-00000000
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: fe400000-00000000
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.1
  IO window: disabled.
  MEM window: fe300000-00000000
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Setting latency timer of device 0000:00:01.0 to 64
PCI: Setting latency timer of device 0000:00:1c.0 to 64
PCI: Setting latency timer of device 0000:00:1c.1 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
type=2000 audit(1255121462.527:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
alg: No test for crc32c (crc32c-generic)
ksign: Installing public key data
Loading keyring
- Added public key 95A18A08139F4035
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Boot video device is 0000:00:02.0
PCI: Setting latency timer of device 0000:00:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:01.0:pcie00]
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
PCI: Setting latency timer of device 0000:00:1c.1 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.1:pcie00]
Allocate Port Service[0000:00:1c.1:pcie02]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel Q45/Q43 Chipset.
agpgart: Detected 32764K stolen memory.
agpgart: AGP aperture is 256M @ 0xd0000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
0000:00:03.3: ttyS1 at I/O 0xec98 (irq = 169) is a 16550A
brd: module loaded
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
Probing IDE interface ide0...
hda: ST3320613AS, ATA DISK drive
hdb: TSSTcorp DVD+/-RW TS-H653F, ATAPI CD/DVD-ROM drive
Probing IDE interface ide1...
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: max request size: 512KiB
hda: 625142448 sectors (320072 MB) w/16384KiB Cache, CHS=38913/255/63
hda: cache flushes supported
 hda: hda1 hda2
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
Initalizing network drop monitor service
Freeing unused kernel memory: 232k freed
Write protecting the kernel read-only data: 405k
Time: tsc clocksource has been installed.
PCI: Setting latency timer of device 0000:00:1a.7 to 64
ehci_hcd 0000:00:1a.7: EHCI Host Controller
ehci_hcd 0000:00:1a.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1a.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1a.7
ehci_hcd 0000:00:1a.7: irq 201, io mem 0xfe6da000
ehci_hcd 0000:00:1a.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
input: PS/2 Generic Mouse as /class/input/input0
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 209, io mem 0xff980000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 6 ports detected
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
USB Universal Host Controller Interface driver v3.0
PCI: Setting latency timer of device 0000:00:1a.0 to 64
uhci_hcd 0000:00:1a.0: UHCI Host Controller
uhci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1a.0: irq 161, io base 0x0000ff20
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb 1-1: new high speed USB device using ehci_hcd and address 2
PCI: Setting latency timer of device 0000:00:1a.1 to 64
uhci_hcd 0000:00:1a.1: UHCI Host Controller
uhci_hcd 0000:00:1a.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1a.1: irq 169, io base 0x0000ff00
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
PCI: Setting latency timer of device 0000:00:1a.2 to 64
uhci_hcd 0000:00:1a.2: UHCI Host Controller
uhci_hcd 0000:00:1a.2: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1a.2: irq 201, io base 0x0000fc00
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb 1-1: configuration #1 chosen from 1 choice
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 6
uhci_hcd 0000:00:1d.0: irq 209, io base 0x0000ff80
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 7
uhci_hcd 0000:00:1d.1: irq 169, io base 0x0000ff60
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 8
uhci_hcd 0000:00:1d.2: irq 177, io base 0x0000ff40
usb usb8: configuration #1 chosen from 1 choice
hub 8-0:1.0: USB hub found
hub 8-0:1.0: 2 ports detected
SCSI subsystem initialized
libata version 3.00 loaded.
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.11.5-ioctl (2007-12-12) initialised: dm-devel@redhat.com
device-mapper: dm-raid45: initialized v0.2594l
usb 3-2: new low speed USB device using uhci_hcd and address 2
usb 3-2: configuration #1 chosen from 1 choice
hiddev96: USB HID v1.10 Device [APC Back-UPS ES 500 FW:824.B1.D USB FW:B1] on usb-0000:00:1a.0-2
usb 4-2: new full speed USB device using uhci_hcd and address 2
usb 4-2: configuration #1 chosen from 1 choice
usb 8-1: new low speed USB device using uhci_hcd and address 2
usb 8-1: configuration #1 chosen from 1 choice
input: Dell Dell USB Optical Mouse as /class/input/input1
input: USB HID v1.11 Mouse [Dell Dell USB Optical Mouse] on usb-0000:00:1d.2-1
usb 8-2: new low speed USB device using uhci_hcd and address 3
usb 8-2: configuration #1 chosen from 1 choice
input: Dell Dell USB Keyboard as /class/input/input2
input: USB HID v1.10 Keyboard [Dell Dell USB Keyboard] on usb-0000:00:1d.2-2
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1255121490.295:2): selinux=0 auid=4294967295 ses=4294967295
ata_piix 0000:00:1f.2: version 2.12
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
ata_piix 0000:00:1f.2: 0x1F0 IDE port busy
Floppy drive(s): fd0 is 1.44M
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 2 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0317
usbcore: registered new driver usblp
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
e1000e: Intel(R) PRO/1000 Network Driver - 1.0.2-k2
e1000e: Copyright (c) 1999-2008 Intel Corporation.
input: PC Speaker as /class/input/input3
PCI: Setting latency timer of device 0000:00:1f.2 to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: DUMMY
ata2: SATA max UDMA/133 bmdma 0xfec8 irq 15
hdb: ATAPI 48X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
ata_piix 0000:00:1f.5: MAP [ P0 -- P1 -- ]
PCI: Setting latency timer of device 0000:00:1f.5 to 64
scsi2 : ata_piix
scsi3 : ata_piix
ata3: SATA max UDMA/133 cmd 0xfe40 ctl 0xfe50 bmdma 0xfed0 irq 177
ata4: SATA max UDMA/133 cmd 0xfe60 ctl 0xfe70 bmdma 0xfed8 irq 177
ata3: SATA link down (SStatus 4 SControl 300)
ata4: SATA link down (SStatus 0 SControl 300)
PCI: Setting latency timer of device 0000:00:1b.0 to 64
input: HDA Digital PCBeep as /class/input/input4
floppy0: no floppy controllers found
PCI: Setting latency timer of device 0000:00:19.0 to 64
eth0: (PCI Express:2.5GB/s:Width x1) 00:23:ae:6b:ef:8b
eth0: Intel(R) PRO/1000 Network Connection
eth0: MAC: 8, PHY: 8, PBA No: 8021ff-0ff
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport0: irq 7 detected
lp0: using parport0 (polling).
lp0: console ready
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: multipath: version 1.0.5 loaded
loop: loaded (max 8 devices)
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 4030456k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1 across:4030456k
IA-32 Microcode Update Driver: v1.14a <tigran@veritas.com>
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8192 buckets, 65536 max) - 228 bytes per conntrack
ADDRCONF(NETDEV_UP): eth0: link is not ready
e1000e: eth0 NIC Link is Up 10 Mbps Half Duplex, Flow Control: None
eth0: Autonegotiated half duplex but link partner cannot autoneg.  Try forcing full duplex if link gets many collisions.
eth0: 10/100 speed: disabling TSO
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
hda: status timeout: status=0xd0 { Busy }
ide: failed opcode was: unknown
hda: no DRQ after issuing MULTWRITE_EXT
ide0: reset: success
eth0: no IPv6 routers present
[drm] Initialized drm 1.0.1 20051102
[drm] Initialized i915 1.8.0 20060929 on minor 0
mtrr: type mismatch for d0000000,10000000 old: uncachable new: write-combining
set status page addr 0x02e50000
mtrr: type mismatch for d0000000,10000000 old: uncachable new: write-combining
set status page addr 0x02e50000
mtrr: type mismatch for d0000000,10000000 old: uncachable new: write-combining
set status page addr 0x02e50000
mtrr: type mismatch for d0000000,10000000 old: uncachable new: write-combining
set status page addr 0x02e50000
mtrr: type mismatch for d0000000,10000000 old: uncachable new: write-combining
set status page addr 0x02e50000
hda: status timeout: status=0xd0 { Busy }
ide: failed opcode was: unknown
hda: no DRQ after issuing MULTWRITE_EXT
ide0: reset: success
hda: status timeout: status=0xd0 { Busy }
ide: failed opcode was: unknown
hda: no DRQ after issuing MULTWRITE_EXT
ide0: reset: success
hda: status timeout: status=0xd0 { Busy }
ide: failed opcode was: unknown
hda: no DRQ after issuing MULTWRITE_EXT
ide0: reset: success



$ /sbin/lspci  -v
00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 03)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0
        Capabilities: <access denied>

00:01.0 PCI bridge: Intel Corporation 4 Series Chipset PCI Express Root Port (rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: fe500000-fe5fffff
        Capabilities: <access denied>

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0, IRQ 161
        Memory at fe800000 (64-bit, non-prefetchable) [size=4M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at ec90 [size=8]
        Capabilities: <access denied>

00:02.1 Display controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0
        Memory at fe700000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: <access denied>

00:03.0 Communication controller: Intel Corporation 4 Series Chipset HECI Controller (rev 03)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0, IRQ 161
        Memory at feda6000 (64-bit, non-prefetchable) [size=16]
        Capabilities: <access denied>

00:03.2 IDE interface: Intel Corporation 4 Series Chipset PT IDER Controller (rev 03) (prog-if 85 [Master SecO PriO])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 177
        I/O ports at fe80 [size=8]
        I/O ports at fe90 [size=4]
        I/O ports at fea0 [size=8]
        I/O ports at feb0 [size=4]
        I/O ports at fef0 [size=16]
        Capabilities: <access denied>

00:03.3 Serial controller: Intel Corporation 4 Series Chipset Serial KT Controller (rev 03) (prog-if 02 [16550])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 169
        I/O ports at ec98 [size=8]
        Memory at fe6d8000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>

00:19.0 Ethernet controller: Intel Corporation 82567LM-3 Gigabit Network Connection (rev 02)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0, IRQ 74
        Memory at fe6e0000 (32-bit, non-prefetchable) [size=128K]
        Memory at fe6d9000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at ecc0 [size=32]
        Capabilities: <access denied>

00:1a.0 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #4 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 161
        I/O ports at ff20 [size=32]
        Capabilities: <access denied>

00:1a.1 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #5 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at ff00 [size=32]
        Capabilities: <access denied>

00:1a.2 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #6 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 201
        I/O ports at fc00 [size=32]
        Capabilities: <access denied>

00:1a.7 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB2 EHCI Controller #2 (rev 02) (prog-if 20 [EHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 201
        Memory at fe6da000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1b.0 Audio device: Intel Corporation 82801JD/DO (ICH10 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, fast devsel, latency 0, IRQ 161
        Memory at fe6dc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

00:1c.0 PCI bridge: Intel Corporation 82801JD/DO (ICH10 Family) PCI Express Port 1 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        Memory behind bridge: fe400000-fe4fffff
        Capabilities: <access denied>

00:1c.1 PCI bridge: Intel Corporation 82801JD/DO (ICH10 Family) PCI Express Port 2 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Memory behind bridge: fe300000-fe3fffff
        Capabilities: <access denied>

00:1d.0 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #1 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 209
        I/O ports at ff80 [size=32]
        Capabilities: <access denied>

00:1d.1 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #2 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at ff60 [size=32]
        Capabilities: <access denied>

00:1d.2 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB UHCI Controller #3 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 177
        I/O ports at ff40 [size=32]
        Capabilities: <access denied>

00:1d.7 USB Controller: Intel Corporation 82801JD/DO (ICH10 Family) USB2 EHCI Controller #1 (rev 02) (prog-if 20 [EHCI])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0, IRQ 209
        Memory at ff980000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a2) (prog-if 01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
        Capabilities: <access denied>

00:1f.0 ISA bridge: Intel Corporation 82801JD (ICH10D) LPC Interface Controller (rev 02)
        Subsystem: Dell Unknown device 027f
        Flags: bus master, medium devsel, latency 0
        Capabilities: <access denied>

00:1f.2 IDE interface: Intel Corporation 82801JD/DO (ICH10 Family) 4-port SATA IDE Controller (rev 02) (prog-if 8a [Master SecP PriP])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 177
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at fec0 [size=16]
        I/O ports at eca0 [size=16]
        Capabilities: <access denied>

00:1f.3 SMBus: Intel Corporation 82801JD/DO (ICH10 Family) SMBus Controller (rev 02)
        Subsystem: Dell Unknown device 027f
        Flags: medium devsel, IRQ 177
        Memory at fe6db000 (64-bit, non-prefetchable) [size=256]
        I/O ports at ece0 [size=32]

00:1f.5 IDE interface: Intel Corporation 82801JD/DO (ICH10 Family) 2-port SATA IDE Controller (rev 02) (prog-if 85 [Master SecO PriO])
        Subsystem: Dell Unknown device 027f
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 177
        I/O ports at fe40 [size=8]
        I/O ports at fe50 [size=4]
        I/O ports at fe60 [size=8]
        I/O ports at fe70 [size=4]
        I/O ports at fed0 [size=16]
        I/O ports at ecb0 [size=16]
        Capabilities: <access denied>
Comment 4 David Milburn 2009-10-12 17:23:22 EDT
Paul, your controller is configured in legacy (combined) mode in the BIOS, the
ide driver claims both drives before ata_piix loads, you will need to boot
with "combined_mode=libata" kernel parameter.

Note You need to log in before you can comment on or make changes to this bug.